Subject: [bug#39862] [PATCH v2 0/6] Update Dune finite element packages

From: Ludovic Courtès <[email-masked]>
Date: Thu, 12 Mar 2020 11:46:08 +0100

Hi Felix,

Felix Gruber <[email-masked]> skribis:

> The first four patches in this patch set are identical to v1. I've added
> two new patches that remove the openmpi dependency from all dune-*
> packages and add new dedicated dune-*-openmpi packages instead.
> To create these openmpi variants of the dune-* packages without a lot of
> duplication, I've added a helper function add-openmpi-to-dune-package
> that takes a dune-* package and returns its openmpi variant with the
> correct dependencies and the setup code necessary to make Dune's tests
> work with openmpi.
>
> Felix Gruber (6):
>   gnu: dune-*: set up MPI for tests
>   gnu: add dune-uggrid 2.6.0
>   gnu: Add dune-subgrid
>   gnu: dune-istl: Build with suitesparse

I applied all these.

>   gnu: dune-*: remove openmpi dependency
>   gnu: define dune-*-openmpi packages

I’ll comment on these separately.

Thank you!

Ludo’.